#ifndef EC2MANAGER_H_INCLUDED
#define EC2MANAGER_H_INCLUDED

#include "stdafx.h"
#include "myEC2.h"


using namespace std;
namespace CloudResourceManager
{
    class EC2Manager
    {
    private:
        //static string EC2SpotInstancePrice;
        //static string EC2KeyName;
        //static string userScriptPath;

    public:
    // why do we make them static? It is perfectly thread-safe, yet.
        static string ec2_request_spot_instance(string ami, string instanceType);

        static bool ec2_destroy_instance(string instanceId);

        static string ec2_check_spot_instance_request(string requestId);
        // utility
        static string getSingleResult(const MyEC2& myEC2);

        static string ec2_request_normal_instance(string ami, string instanceType);

        static string ec2_check_instance_status(string instanceId);

        static string ec2_get_instance_id(string requestId);

        static string ec2_get_instance_ip(string instanceId);
    };
}

#endif // EC2MANAGER_H_INCLUDED
